Contract Update Api
curl --request PATCH \
--url https://api.justpaid.io/api/v1/contract/{contract_uuid} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"customer_uuid": "123e4567-e89b-12d3-a456-426614174000",
"title": "Updated Enterprise Agreement",
"contract_start_date": "2024-01-01",
"contract_end_date": "2025-01-01",
"contract_amount": 150000,
"currency": "USD",
"payment_terms": "net 60",
"is_evergreen": false
}
'import requests
url = "https://api.justpaid.io/api/v1/contract/{contract_uuid}"
payload = {
"customer_uuid": "123e4567-e89b-12d3-a456-426614174000",
"title": "Updated Enterprise Agreement",
"contract_start_date": "2024-01-01",
"contract_end_date": "2025-01-01",
"contract_amount": 150000,
"currency": "USD",
"payment_terms": "net 60",
"is_evergreen": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
customer_uuid: '123e4567-e89b-12d3-a456-426614174000',
title: 'Updated Enterprise Agreement',
contract_start_date: '2024-01-01',
contract_end_date: '2025-01-01',
contract_amount: 150000,
currency: 'USD',
payment_terms: 'net 60',
is_evergreen: false
})
};
fetch('https://api.justpaid.io/api/v1/contract/{contract_uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.justpaid.io/api/v1/contract/{contract_uuid}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'customer_uuid' => '123e4567-e89b-12d3-a456-426614174000',
'title' => 'Updated Enterprise Agreement',
'contract_start_date' => '2024-01-01',
'contract_end_date' => '2025-01-01',
'contract_amount' => 150000,
'currency' => 'USD',
'payment_terms' => 'net 60',
'is_evergreen' => false
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.justpaid.io/api/v1/contract/{contract_uuid}"
payload := strings.NewReader("{\n \"customer_uuid\": \"123e4567-e89b-12d3-a456-426614174000\",\n \"title\": \"Updated Enterprise Agreement\",\n \"contract_start_date\": \"2024-01-01\",\n \"contract_end_date\": \"2025-01-01\",\n \"contract_amount\": 150000,\n \"currency\": \"USD\",\n \"payment_terms\": \"net 60\",\n \"is_evergreen\": false\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.justpaid.io/api/v1/contract/{contract_uuid}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"customer_uuid\": \"123e4567-e89b-12d3-a456-426614174000\",\n \"title\": \"Updated Enterprise Agreement\",\n \"contract_start_date\": \"2024-01-01\",\n \"contract_end_date\": \"2025-01-01\",\n \"contract_amount\": 150000,\n \"currency\": \"USD\",\n \"payment_terms\": \"net 60\",\n \"is_evergreen\": false\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.justpaid.io/api/v1/contract/{contract_uuid}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"customer_uuid\": \"123e4567-e89b-12d3-a456-426614174000\",\n \"title\": \"Updated Enterprise Agreement\",\n \"contract_start_date\": \"2024-01-01\",\n \"contract_end_date\": \"2025-01-01\",\n \"contract_amount\": 150000,\n \"currency\": \"USD\",\n \"payment_terms\": \"net 60\",\n \"is_evergreen\": false\n}"
response = http.request(request)
puts response.read_body{
"contract_status": "accepted",
"customer": {
"external_id": "CUST-001",
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"email": "<string>"
},
"plan_items": [],
"file_url": "https://api.justpaid.io/files/contract.pdf",
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"contract_start_date": "2023-12-25",
"contract_end_date": "2023-12-25",
"contract_amount": "<string>",
"currency": "USD",
"payment_terms": "<string>",
"discounted_amount": "<string>",
"discount_percent": "<string>",
"is_evergreen": false,
"invoice_start_date": "2023-12-25",
"preferred_invoice_day": 123,
"created_at": "2023-11-07T05:31:56Z",
"contract_summary": "<string>"
}Contract
Contract Update Api
Partially updates a contract.
PATCH
/
api
/
v1
/
contract
/
{contract_uuid}
Contract Update Api
curl --request PATCH \
--url https://api.justpaid.io/api/v1/contract/{contract_uuid} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"customer_uuid": "123e4567-e89b-12d3-a456-426614174000",
"title": "Updated Enterprise Agreement",
"contract_start_date": "2024-01-01",
"contract_end_date": "2025-01-01",
"contract_amount": 150000,
"currency": "USD",
"payment_terms": "net 60",
"is_evergreen": false
}
'import requests
url = "https://api.justpaid.io/api/v1/contract/{contract_uuid}"
payload = {
"customer_uuid": "123e4567-e89b-12d3-a456-426614174000",
"title": "Updated Enterprise Agreement",
"contract_start_date": "2024-01-01",
"contract_end_date": "2025-01-01",
"contract_amount": 150000,
"currency": "USD",
"payment_terms": "net 60",
"is_evergreen": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
customer_uuid: '123e4567-e89b-12d3-a456-426614174000',
title: 'Updated Enterprise Agreement',
contract_start_date: '2024-01-01',
contract_end_date: '2025-01-01',
contract_amount: 150000,
currency: 'USD',
payment_terms: 'net 60',
is_evergreen: false
})
};
fetch('https://api.justpaid.io/api/v1/contract/{contract_uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.justpaid.io/api/v1/contract/{contract_uuid}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'customer_uuid' => '123e4567-e89b-12d3-a456-426614174000',
'title' => 'Updated Enterprise Agreement',
'contract_start_date' => '2024-01-01',
'contract_end_date' => '2025-01-01',
'contract_amount' => 150000,
'currency' => 'USD',
'payment_terms' => 'net 60',
'is_evergreen' => false
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.justpaid.io/api/v1/contract/{contract_uuid}"
payload := strings.NewReader("{\n \"customer_uuid\": \"123e4567-e89b-12d3-a456-426614174000\",\n \"title\": \"Updated Enterprise Agreement\",\n \"contract_start_date\": \"2024-01-01\",\n \"contract_end_date\": \"2025-01-01\",\n \"contract_amount\": 150000,\n \"currency\": \"USD\",\n \"payment_terms\": \"net 60\",\n \"is_evergreen\": false\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.justpaid.io/api/v1/contract/{contract_uuid}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"customer_uuid\": \"123e4567-e89b-12d3-a456-426614174000\",\n \"title\": \"Updated Enterprise Agreement\",\n \"contract_start_date\": \"2024-01-01\",\n \"contract_end_date\": \"2025-01-01\",\n \"contract_amount\": 150000,\n \"currency\": \"USD\",\n \"payment_terms\": \"net 60\",\n \"is_evergreen\": false\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.justpaid.io/api/v1/contract/{contract_uuid}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"customer_uuid\": \"123e4567-e89b-12d3-a456-426614174000\",\n \"title\": \"Updated Enterprise Agreement\",\n \"contract_start_date\": \"2024-01-01\",\n \"contract_end_date\": \"2025-01-01\",\n \"contract_amount\": 150000,\n \"currency\": \"USD\",\n \"payment_terms\": \"net 60\",\n \"is_evergreen\": false\n}"
response = http.request(request)
puts response.read_body{
"contract_status": "accepted",
"customer": {
"external_id": "CUST-001",
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"email": "<string>"
},
"plan_items": [],
"file_url": "https://api.justpaid.io/files/contract.pdf",
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"contract_start_date": "2023-12-25",
"contract_end_date": "2023-12-25",
"contract_amount": "<string>",
"currency": "USD",
"payment_terms": "<string>",
"discounted_amount": "<string>",
"discount_percent": "<string>",
"is_evergreen": false,
"invoice_start_date": "2023-12-25",
"preferred_invoice_day": 123,
"created_at": "2023-11-07T05:31:56Z",
"contract_summary": "<string>"
}Authorizations
Body
application/json
Input schema for partially updating a contract (all fields optional).
Response
Contract updated successfully
Detailed contract information with plan items.
Was this page helpful?
